Bug 65275 - Galeon thrashes on large downloads.
Summary: Galeon thrashes on large downloads.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-21 09:28 UTC by Ali-Reza Anghaie
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 16:02:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ali-Reza Anghaie 2002-05-21 09:28:48 UTC
Description of Problem: 
 
Galeon chews up all memory on large downloads. Trying to DL three ISOs and it 
crapped out after ~1.5GB total when it chewed up all main and VM. HD thrashes, 
everything else drags arse. 
 
What makes it stranger is X got up to 101MB at the same time while ~no~ window 
functions were being performed. 
 
I've replicated this (with the wierd X behavior) twice. Out of trying twice. 
 
 
Version-Release number of selected component (if applicable): 
 
galeon-1.2.0-7 
XFree86-4.2.0-8 
 
 
How Reproducible: 
 
Two out of two. Not trying again. 
 
 
Steps to Reproduce: 
1. Start Galeon and go DL really big files (500+ MBs). 
2. Watch Galeon grow and grow. 
3. System goes *slllooowwwwww* 
4. Run Top again, point and laugh. 
 
 
Actual Results: 
 
Galeon grows, eventually X grows, things get ugly. 
 
 
Expected Results: 
 
Proper DLed files without hurting my system. 
 
 
Additional Information: 
 
I would love to use wget but some authentication schemes dont feed well into 
http:// URLs...

Comment 1 Ali-Reza Anghaie 2002-05-21 09:29:40 UTC
CCing to Mike Harris in case he knows of a X/Galeon interaction that made X 
grow as such.

Comment 2 Christopher Blizzard 2002-05-21 16:02:32 UTC
Sounds like this mozilla bug:

http://bugzilla.mozilla.org/show_bug.cgi?id=91795

it's in the 1.0 branch.

Comment 3 Christopher Blizzard 2002-08-29 22:39:20 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.